# Update general settings

This endpoint updates the general settings for a specific point of sale device.

Endpoint: PUT /point-of-sales/{pointOfSaleId}/general-settings
Version: 1.0.0

## Path parameters:

  - `pointOfSaleId` (integer, required)
    The unique system identifier for the point of sale device.
    Example: 123456789

## Request fields (application/json):

  - `site` (string,null)
    The ID of the site where the point of sale will be deployed.
    Example: "SITE-1"

  - `serialNumber` (string,null)
    The serial number of the point of sale device
    Example: "SN1234567890"

  - `merchantPointOfSaleId` (string,null)
    The unique merchant identifier for the point of sale device.
    Example: "POS-12345"

  - `deviceModel` (string)
    The model of the point of sale device.
    Enum: "CastlesSaturn1000", "ZebraTC510K"

  - `communicationProtocol` (string)
    The protocol used by the point of sale device.
    Enum: "HTTP"

  - `communicationEndpoint` (string,null)
    The URL or network endpoint where the point of sale device actively listens for incoming connections and communications from the merchant system.
    Example: "http://pos.example.com"

  - `status` (string)
    The status of the point of sale device.
    Enum: "New", "Pending", "Active", "Disabled"


## Response 200 fields
